Subject: Re: [PATCH linux-next] net: record times of netdev_budget exhausted

From: Jakub Kicinski <[email-masked]>
Date: Wed, 7 Dec 2022 17:23:21 -0800

On Thu, 8 Dec 2022 09:12:06 +0800 (CST) [email-masked] wrote:
> > Sorry if this is too direct, but it seems to me like you're trying hard
> > to find something useful to do in this area without a clear use case.
>   
> I see maybe this is a too special scenes, not suitable. The motivation
> is we see lots of time_squeeze on our working machines, and want to
> tuning, but our kernel are not ready to use threaded NAPI. And we

Ah, in that cases I indeed misjudged, sorry.

> did see performance difference on different netdev_budget* in
> preliminary tests.

Right, the budget values < 100 are quite impractical. Also as I said
time_squeeze is a terrible metric, if you can find a direct metric
in terms of application latency or max PPS, that's much more valuable.

> > We have coding tasks which would definitely be useful and which nobody
> > has time to accomplish. Please ask if you're trying to find something
> > to do.  
> 
> We focus on 5G telecom machine, which has huge TIPC packets in the
> intranet. If it's related, we are glad to do it with much appreciate of your
> indicate!

Oh, unfortunately most of the tasks we have are around driver
infrastructure.